INstallation with VTK Version other than 6.1

Install support for openEMS

Moderators: thorsten, sebastian

gobers
Posts: 10
Joined: Thu 10 May 2012, 10:49

Re: INstallation with VTK Version other than 6.1

Post by gobers » Tue 13 Dec 2016, 15:56

OK, I created the pull requests, all separately, if there is a way to do this in one step, please let me know.#
Thanks for your effort and work
Gerald

thorsten
Posts: 1434
Joined: Mon 27 Jun 2011, 12:26

Re: INstallation with VTK Version other than 6.1

Post by thorsten » Tue 13 Dec 2016, 18:26

Thanks for the patches, but your commit messages are all a bit weird ...
Do you mind if I just modify and recommit them?
I know I'm a bit nit-picky about the git-tree's, but I found that it helps in the long run...

regards
Thorsten

gobers
Posts: 10
Joined: Thu 10 May 2012, 10:49

Re: INstallation with VTK Version other than 6.1

Post by gobers » Tue 13 Dec 2016, 18:58

Hi,
feel free to change them. I am new to git and therefore much focusing on the process, not the contents ;-)
gerald

thorsten
Posts: 1434
Joined: Mon 27 Jun 2011, 12:26

Re: INstallation with VTK Version other than 6.1

Post by thorsten » Tue 13 Dec 2016, 20:51

Hi,

I have pushed the changes to CSXCAD, QCSXCAD and openEMS. I skipped the changes to AppCSXCAD since I added another patch to CSXCAD to add the missing link to "HDF5_HL_LIBRARIES" there.
Can you test please if the changes to AppCSXCAD are really necessary. As far as I see it AppCSXCAD should not link to hdf5 since it itself does not use hdf5, only CSXCAD does and thus only it should depend on the libraries it needs...

regards
Thorsten

Post Reply